Bug 240066 - sysutils/testdisk: Update to 7.1, Remove BROKEN
Summary: sysutils/testdisk: Update to 7.1, Remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kai Knoblich
URL: https://github.com/cgsecurity/testdis...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-24 02:21 UTC by cyberleo
Modified: 2019-08-26 08:47 UTC (History)
1 user (show)

See Also:
kai: merge-quarterly+


Attachments
Revbump (1.19 KB, patch)
2019-08-24 02:21 UTC, cyberleo
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cyberleo 2019-08-24 02:21:17 UTC
Created attachment 206839 [details]
Revbump

7.1-WIP was a pre-release and was removed when 7.1 was released.

Update port to 7.1 and remove BROKEN.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-24 03:55:43 UTC
Comment on attachment 206839 [details]
Revbump

Approved by: portmgr (blanket: unmaintained port)

Pending QA
Comment 2 commit-hook freebsd_committer 2019-08-25 12:49:37 UTC
A commit references this bug:

Author: kai
Date: Sun Aug 25 12:48:57 UTC 2019
New revision: 509794
URL: https://svnweb.freebsd.org/changeset/ports/509794

Log:
  sysutils/testdisk: Update to 7.1 and unbreak

  * Make the source tarball fetchable again since the 7.1 release has left its
    pre-release status (hence the removal of the -WIP suffix).

  * Pet portlint by making the USES block separate while I'm here.

  Changelog:

  https://github.com/cgsecurity/testdisk/blob/3bb714e6/NEWS

  PR:		240066
  Submitted by:	cyberleo@cyberleo.net
  MFH:		2019Q3

Changes:
  head/sysutils/testdisk/Makefile
  head/sysutils/testdisk/distinfo
Comment 3 Kai Knoblich freebsd_committer 2019-08-25 12:54:15 UTC
Committed to the head branch, thank you for the patch!

Still waiting for the approval from the ports-secteam to commit the changes to the 2019Q3 branch.
Comment 4 commit-hook freebsd_committer 2019-08-26 08:37:52 UTC
A commit references this bug:

Author: kai
Date: Mon Aug 26 08:37:30 UTC 2019
New revision: 509889
URL: https://svnweb.freebsd.org/changeset/ports/509889

Log:
  MFH: r509794

  sysutils/testdisk: Update to 7.1 and unbreak

  * Make the source tarball fetchable again since the 7.1 release has left its
    pre-release status (hence the removal of the -WIP suffix).

  * Pet portlint by making the USES block separate while I'm here.

  Changelog:

  https://github.com/cgsecurity/testdisk/blob/3bb714e6/NEWS

  PR:		240066
  Submitted by:	cyberleo@cyberleo.net
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/sysutils/testdisk/Makefile
  branches/2019Q3/sysutils/testdisk/distinfo
Comment 5 Kai Knoblich freebsd_committer 2019-08-26 08:47:06 UTC
Committed to the 2019Q3 branch, all done!